### Method

# Rest XmlParser parse_from_data

#### Declaration [src]

    RestXmlNode*
    rest_xml_parser_parse_from_data (
      RestXmlParser* parser,
      const gchar* data,
      goffset len
    )

#### Description [src]

Parse the XML in `data`, and return a new `RestXmlNode`. If `data` is invalid XML, `NULL` is returned.

#### Parameters

`data`

  Type: `const gchar*`

  The XML content to parse.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `goffset`

  The length of `data`, or -1 if `data` is a nul-terminated string.

#### Return value

Type: `RestXmlNode`

A new `RestXmlNode`, or `NULL` if the XML was invalid.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.